package com.company.testreportblanklines.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;
import javax.validation.constraints.NotNull;

@NamePattern("%s|name")
@Table(name = "TESTREPORTBLANKLINES_ORDER_LINE")
@Entity(name = "testreportblanklines_OrderLine")
public class OrderLine extends StandardEntity {
    private static final long serialVersionUID = -2206367908558047890L;

    @Column(name = "NAME")
    protected String name;

    @Column(name = "COUNT_")
    protected Integer count;

    @Column(name = "PRICE")
    protected Double price;

    @NotNull
    @Column(name = "IS_MAIN_PROD", nullable = false)
    protected Boolean isMainProd = false;
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "ORDER_ID")
    protected Order order;

    public Order getOrder() {
        return order;
    }

    public void setOrder(Order order) {
        this.order = order;
    }

    public Boolean getIsMainProd() {
        return isMainProd;
    }

    public void setIsMainProd(Boolean isMainProd) {
        this.isMainProd = isMainProd;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Integer getCount() {
        return count;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}